orte/mca/gpr/replica/gpr_replica.h File Reference.TH "orte/mca/gpr/replica/gpr_replica.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/gpr_replica.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <time.h>\fP
.br
\fC#include 'class/orte_bitmap.h'\fP
.br
\fC#include 'class/orte_pointer_array.h'\fP
.br
\fC#include 'class/orte_value_array.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/gpr/base/base.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_ITAG_MAX\fP   SIZE_MAX"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_AND\fP   (uint8_t)0x01"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_OR\fP   (uint8_t)0x02"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_XAND\fP   (uint8_t)0x04"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_XOR\fP   (uint8_t)0x08"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_NOT\fP   (uint8_t)0x40"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_NO_ACTION\fP   (int8_t) 0x00"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_ENTRY_ADDED\fP   (int8_t) 0x01"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_ENTRY_DELETED\fP   (int8_t) 0x02"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_ENTRY_CHANGED\fP   (int8_t) 0x04"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_ENTRY_CHG_TO\fP   (int8_t) 0x08"
.br
.ti -1c
.RI "#define \fBORTE_GPR_REPLICA_ENTRY_CHG_FRM\fP   (int8_t) 0x10"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef size_t \fBorte_gpr_replica_itag_t\fP"
.br
.ti -1c
.RI "typedef uint8_t \fBorte_gpr_replica_addr_mode_t\fP"
.br
.ti -1c
.RI "typedef uint8_t \fBorte_gpr_replica_action_t\fP"
.br
.ti -1c
.RI "typedef orte_gpr_replica_t \fBorte_gpr_replica_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_gpr_replica_segment_t\fP \fBorte_gpr_replica_segment_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_gpr_replica_container_t\fP \fBorte_gpr_replica_container_t\fP"
.br
.ti -1c
.RI "typedef orte_gpr_replica_trigger_t \fBorte_gpr_replica_trigger_t\fP"
.br
.ti -1c
.RI "typedef orte_gpr_replica_callbacks_t \fBorte_gpr_replica_callbacks_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_gpr_replica_list_t\fP \fBorte_gpr_replica_list_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_gpr_replica_write_invalidate_t\fP \fBorte_gpr_replica_write_invalidate_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_local_subscriber_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_local_trigger_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_replica_segment_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_replica_container_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_itagval_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_ivalue_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_counter_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_requestor_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_subscription_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_trigger_requestor_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_trigger_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_action_taken_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_callbacks_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_replica_list_t\fP)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_open\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_close\fP (void)"
.br
.ti -1c
.RI "orte_gpr_base_module_t * \fBorte_gpr_replica_init\fP (bool *allow_multi_user_threads, bool *have_hidden_threads, int *priority)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_finalize\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_module_init\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "orte_gpr_replica_t \fBorte_gpr_replica\fP"
.br
.ti -1c
.RI "orte_gpr_replica_globals_t \fBorte_gpr_replica_globals\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
